summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2016-12-01 21:09:34 +0100
committerLars Wendler <polynomial-c@gentoo.org>2016-12-01 21:13:59 +0100
commitf2eb785b6831053adc11e68c01d202e861910ecc (patch)
tree10bf539e2e0bfd95fb433950915c9a9e29f257fe /eclass
parentdev-libs/botan: version bump (diff)
downloadgentoo-f2eb785b6831053adc11e68c01d202e861910ecc.tar.gz
gentoo-f2eb785b6831053adc11e68c01d202e861910ecc.tar.bz2
gentoo-f2eb785b6831053adc11e68c01d202e861910ecc.zip
aspell-dict.eclass: Some tweaks so the eclass works with EAPI>0 ebuilds.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/aspell-dict.eclass16
1 files changed, 14 insertions, 2 deletions
diff --git a/eclass/aspell-dict.eclass b/eclass/aspell-dict.eclass
index 6207f6a15fc..5600d9a6960 100644
--- a/eclass/aspell-dict.eclass
+++ b/eclass/aspell-dict.eclass
@@ -24,7 +24,10 @@
# @DESCRIPTION:
# What major version of aspell is this dictionary for?
-EXPORT_FUNCTIONS src_compile src_install
+case ${EAPI} in
+ 0|1) EXPORT_FUNCTIONS src_compile src_install ;;
+ *) EXPORT_FUNCTIONS src_configure src_compile src_install ;;
+esac
#MY_P=${PN}-${PV%.*}-${PV#*.*.}
MY_P=${P%.*}-${PV##*.}
@@ -46,11 +49,20 @@ else
DEPEND="${RDEPEND}"
fi
+# @FUNCTION: aspell-dict_src_configure
+# @DESCRIPTION:
+# The aspell-dict src_configure function which is exported.
+aspell-dict_src_configure() {
+ ./configure || die
+}
+
# @FUNCTION: aspell-dict_src_compile
# @DESCRIPTION:
# The aspell-dict src_compile function which is exported.
aspell-dict_src_compile() {
- ./configure || die
+ case ${EAPI} in
+ 0|1) aspell-dict_src_configure ;;
+ esac
emake || die
}